Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- Makefile	13 Nov 2003 18:30:15 -0000	1.45
+++ Makefile	8 Dec 2003 20:00:15 -0000
@@ -40,6 +40,14 @@
 
 ifeq ($(USE_POSTGRES_VM_INTERFACE),1)
 CFLAGS+=-DUSEPOSTGRESVM
+CFLAGS+=$(shell if [ -d /usr/local/pgsql/include ]; then echo "-I/usr/local/pgsql/include"; fi)
+CFLAGS+=$(shell if [ -d /usr/include/pgsql ]; then echo "-I/usr/include/pgsql"; fi)
+CFLAGS+=$(shell if [ -d /usr/local/include/pgsql ]; then echo "-I/usr/local/include/pgsql"; fi)
+CFLAGS+=$(shell if [ -d /opt/pgsql/include ]; then echo "-I/opt/pgsql/include"; fi)
+CFLAGS+=$(shell if [ -f /usr/include/libpq-fe.h ]; then echo "-I/usr/include"; fi)
+CFLAGS+=$(shell if [ -f /usr/local/include/libpq-fe.h ]; then echo "-I/usr/local/include"; fi)
+CFLAGS+=$(shell if [ -f /usr/include/postgresql/libpq-fe.h ]; then echo "-I/usr/include/postgresql"; fi)
+CFLAGS+=$(shell if [ -f /usr/local/include/postgresql/libpq-fe.h ]; then echo "-I/usr/local/include/postgresql"; fi)
 endif
 
 ifeq ($(USE_MYSQL_VM_INTERFACE),1)
